!BAT
# IMPORTANT: This file MUST begin with !BAT
# For all settings, see \_ISO\Sample_MyE2B.cfg


# Use this line to display the background image as early as possible with no startup messages except an initial quick 'Please wait...' message
call Fn.70 3 ;; set redir=> nul ;; set redirp=> nul ;; debug -1 ;; pause --wait=1 Please wait... ;; debug 0

# ------------ HEADING AND FOOTER TEXT COLOUR ---------

# HCOLOUR sets the colour of the HEADING and FOOTER TEXT text 
# HCOLOUR=ABCD specifies the text colour  [BLINK|BRIGHT|BACKGROUND|FOREGROUND]
# A=0/1 1 = BLINK text (does not work under VM)
# B=0/1 1 = BRIGHT colour for foreground text
# C=0-7 = BACKGROUND colour - transparent if graphics mode so has no effect!
# D=0-7 = FOREGROUND menu text colour
# Colours parameters are: 0=black/grey 1=blue, 2=green, 3=cyan, 4=red, 5=pink, 6=yellow/brown, 7=grey/white.
# e.g. 0133 is non-blinking bright cyan text (on a dark cyan background if not in graphics mode)

set HCOLOUR=0104
set FCOLOUR=0104

set B64=32-bit
checkrange 2,3 is64bit && set B64=64-bit
set /a M=*0x8298 & 0xffffffff>>10+1 > nul && set /a M1=*0x82c0>>10+1 > nul
set /a M=%M% + %M1% > nul
set B64=[%M%MB %B64%]
set M=
set M1=

#                  --------- MAIN MENU HEADING -----
#
# Headings must be between two \x20 and between 58 and 78 characters long - but not more than 78 or will get line wrap-over if in 640x480 mode
# If not enough spaces at the end, you will see spurious characters at the top of the display!
#                          1         2         3         4         5         6         7         8
#              \x202345678901234567890123456789012345678901234567890123456789012345678901234567890\x20
#                                                                          XXXXXXXXXXXXXXXXXXXXX  <- text must end in this area!
#                                                               pad out HEADINGS to here >>>   \x20
set    HEADING=EASY2BOOT - MAIN MENU  (%VER%) %B64%                                  \x20
set B64=

# set position of HEADING as YYXX  - default = 0000
# The default position for the Main Menu heading is the top line - if you want it on a different line, uncomment the ### line below and change the P:0200 text as required
# we must blank out top line to prevent grub4dos version text, then add a new line (example below is for headings at line 3 = -P:0200)
set HEADPOS=0000 $[0133]                                                                \necho -n -P:0100

# NOTE: Sub-Menu Heading may be out of alignment - you will need to make a new STRINGS.txt file and change the leading spaces before the headings to fix this.

# set padding (alignment) before all menu headings and help text - this is usually automatically calculated by E2B from the rstart value (\x20 is same as one space character)
###set HPAD=\x20              \x20


# HELP TEXT AT BOTTOM OF MOST MENUs
# use \x20 for no text at the bottom of the menus - e.g. set HELPTEXT=\x20
set HELPTEXT=HDD0[F7]  Back[F8]  Reboot[F9]     [F10] o

#  ----- GRAPHICS MODE AND WALLPAPER -----
# set graphics mode - use 640, or 800 or 1024 - or specify full mode - e.g. 800 600 24
# 640 and 800 is supported by the default background bitmap
# The size of your background bmp must match the GMODE setting (e.g. use 1024x768 bitmap and set GMODE=1024)
# E2B will use whichever wallpaper exists (only one need exist) - change the filename below if you wish
set GMODE=800

#http://static.simpledesktops.com/uploads/desktops/2011/04/15/Mac_Wallpaper.png  Created by Billy Sutherland
set MYWBMPGZ=/_ISO/mac_wallpaper.bmp.gz

set EXTOFF=1

# -------- MENU COLOURS -------

# Colour pairs are Text/Background - i.e cyan/blue = cyan text on blue background
# Use black if a transparent background is required for menu highlight background - e.g. highlight=red/black
# Valid colours are: black, blue, green, cyan, red, magenta, brown, light-gray, dark-gray, light-blue, light-green, light-cyan, light-red, light-magenta, yellow and white.
#  normal    = normal menu text
#  highlight = highlighted menu text when a menu entry is selected
#  helptext  = the colour of the title help text shown just below the menu box
#  standard  = the console background and text colours (e.g. when listing files)
#  border    = the colour of the border of the menu box

color normal=light-cyan/black highlight=red/cyan helptext=yellow/black standard=light-cyan/black border=light-gray/black

# You can also set a full colour value 24-bit as 0xRRGGBB, the value must be larger than 0xFF to work correctly however
# the background colour will be set to black (transparent in graphics mode menus) if number is >0xFF
# See http://www.rapidtables.com/web/color/RGB_Color.htm
# Red=0xFF0000   Green=0x00FF00   Blue=0x0100FF  (must be larger than FF so add 01 to red!), Yellow=0xFFFF00, White=0xffffff, Brown=0x994c00

# Examples:
### color normal=0x777700
### color highlight=yellow/light-gray ;; # use for light-grey background - limited colours for highlight colour   
# OR...
### color highlight=0xFFFF00 ;; # background will be transparent
### color helptext=0xFFFFFF
### color standard=0x994c00
### color border=0xFF0000

# ----- MENU POSITION ---

# If using 640 or 800 x-resolution - the settings below will change automatically depending on GMODE value set above
# word_spacing line_spacing border_width top_help number_of_items_in_menu top_start menu_width right_start_pos_of_menu
set wdspace=0
set lnspace=0
set bdwidth=0
set rstart=31
set menuw=41
set topstart=3
# use tophelp = topstart + noitems     for menu help text just under menu box
# for 640x480  noitems=18 tophelp=20
# for 800x600  noitems=24 tophelp=26
set noitems=18
set tophelp=28

# -- FOOTER HELP TEXT POSITION ---
# Bottom Easy2Boot HELPTEXT position YYXX
# for 640x480 use HBTM=2800
# for 800x600 use HBTM=3501
set HBTM=3500

# Font settings - specify alternate unifont hex file which is loaded after the E2B unifont file is loaded - many fonts are in /_ISO/docs/Fonts/ folder
set FONT=()/_ISO/docs/Fonts/terminus.uni.gz

# Beep when menu loads, values 1, 2 or 3 only (only works in internal speaker fitted to system)
set beep=1


